Bug 199869 - [patch update] java/berkeley-db fix build with updated junit 4.12
Summary: [patch update] java/berkeley-db fix build with updated junit 4.12
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: freebsd-ports-bugs mailing list
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-05-02 19:26 UTC by Kurt Jaeger
Modified: 2015-05-12 23:52 UTC (History)
3 users (show)

See Also:
bugzilla: maintainer-feedback? (mi)


Attachments
patch (2.97 KB, patch)
2015-05-02 19:26 UTC, Kurt Jaeger
no flags Details | Diff
patch which also updates to 6.2.31 (4.50 KB, patch)
2015-05-02 20:16 UTC, Kurt Jaeger
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Kurt Jaeger freebsd_committer 2015-05-02 19:26:42 UTC
Created attachment 156249 [details]
patch

As suggested by danilo in PR 192575, this fixes the build with the new junit.
Comment 1 Kurt Jaeger freebsd_committer 2015-05-02 19:28:13 UTC
poudriere test builds on 10.1a, 9.3a, 8.4i all went fine.
Comment 2 Kurt Jaeger freebsd_committer 2015-05-02 20:16:11 UTC
Created attachment 156251 [details]
patch which also updates to 6.2.31
Comment 3 Kurt Jaeger freebsd_committer 2015-05-02 20:16:26 UTC
poudriere test builds for 6.2.31 on 10.1a, 9.3a, 8.4i all went fine.
Comment 4 Mikhail Teterin freebsd_committer 2015-05-09 03:25:40 UTC
Thank you, Kurt. I'd rather you didn't rename the patch-junit for the sole reason of appeasing portlint. If you can keep the old name, you can go ahead and commit your change. Otherwise, I'll do it.

Thanks again.
Comment 5 Kurt Jaeger freebsd_committer 2015-05-09 06:56:19 UTC
There are other changes in the patch-junit, which patches build.xml,
so in that process I also renamed the patch file, as that is what would
be created with make makepatch.

So please approve with the changed patch file name.
Comment 6 Mikhail T. 2015-05-12 19:07:47 UTC
Fixed and upgraded, thank you!
Comment 7 commit-hook freebsd_committer 2015-05-12 23:52:28 UTC
A commit references this bug:

Author: mi
Date: Tue May 12 23:52:10 UTC 2015
New revision: 386183
URL: https://svnweb.freebsd.org/changeset/ports/386183

Log:
  Follow portlint's recommendation to NOT hide an install-command under @.

  Use this opportunity to correct an error in an earlier commit, which referenced
  an incorrect PR. The correct number is:

  PR:		199869

Changes:
  head/java/berkeley-db/Makefile